extends Control
class_name PauseMenu

signal resume_game

func _unhandled_input(event : InputEvent) -> void:
	if event.is_action_pressed("ui_cancel"):
			Log.pr("Pause Menu: ui_cancel pressed")
			if get_tree().paused:
				Log.pr("Sending unpause signal")
				resume_game.emit()

